# Asterisk Project : Asterisk 12 Function_AUDIOHOOK_INHERIT

Added by wikibot , edited by wikibot on Aug 29, 2013

# AUDIOHOOK_INHERIT()

### Synopsis

Set whether an audiohook may be inherited to another channel

### Description

By enabling audiohook inheritance on the channel, you are giving permission for an audiohook to be inherited by a descendent channel. Inheritance may be be disabled at any point as well.

Example scenario:

exten => 2000,1,MixMonitor(blah.wav)

exten => 2000,n,Set(AUDIOHOOK_INHERIT(MixMonitor)=yes)

exten => 2000,n,Dial(SIP/2000)

exten => 4000,1,Dial(SIP/4000)

exten => 5000,1,MixMonitor(blah2.wav)

exten => 5000,n,Dial(SIP/5000)

In this basic dialplan scenario, let's consider the following sample calls

Call 1: Caller dials 2000. The person who answers then executes an attended

transfer to 4000.

Result: Since extension 2000 set MixMonitor to be inheritable, after the

transfer to 4000 has completed, the call will continue to be recorded to blah.wav

Call 2: Caller dials 5000. The person who answers then executes an attended

transfer to 4000.

Result: Since extension 5000 did not set MixMonitor to be inheritable, the

recording will stop once the call has been transferred to 4000.

### Syntax

    AUDIOHOOK_INHERIT(source)

##### Arguments

- `source` - The built-in sources in Asterisk are
  - `MixMonitor`
  - `Chanspy`
  - `Volume`
  - `Speex`
  - `pitch_shift`
  - `JACK_HOOK`
  - `Mute`
    Note that the names are not case-sensitive

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown